% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/reembed.R
\name{reembed}
\alias{reembed}
\title{auxiliary functions to compute the kernel test statistic.}
\usage{
reembed(A, dmax, memb, useSTFP = FALSE)
}
\arguments{
\item{A}{adjacency matrix}

\item{dmax}{embedding dimension}

\item{memb}{a vector of top-level membership of the vertices of \code{A}}
}
\value{
a list of matrices \code{Xhat[[1]]}, \code{Xhat[[2]]}, \code{Xhat[[3]]]}, ...
where \code{Xhat[[i]]} is the adjacency spectral embedding of the subgraph induced by \eqn{{v}} with \code{memb[v] = i}.
}
\description{
auxiliary functions to compute the kernel test statistic.
}
\details{
Given an adjacency matrix \code{A} and embedding dimension \code{dmax}
and a vector \code{memb} of top-level memberships of the vertices of \code{A}
compute the adjacency spectral embedding for the subgraphs induced by the clusters in \code{memb}.
}
\author{
Minh Tang
}

