% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stfp.R
\name{stfp}
\alias{stfp}
\title{Spectral Embedding of Adjacency Matrices}
\usage{
stfp(A, dim)
}
\arguments{
\item{A}{a (random) symmetric adjacency matrix}

\item{dim}{a maximum embedding dimension}
}
\value{
A.coord Estimated latent positions, an n times dim matrix
}
\description{
Spectral Embedding of Adjacency Matrices
}
\details{
Given a symmetric adjacency matrix \eqn{A}
and a positive integer dimension \eqn{d}
compute the adjacency spectral embedding of \eqn{A} into \eqn{R^d}.
The adjacency spectral embedding is given by \eqn{U_d S_d^{1/2}}
where \eqn{U_d S_d V_d^{\top}} is the rank-\eqn{d} thin SVD of \eqn{A}.
}
\author{
Minh Tang
}
\seealso{
\code{\link{embed_adjacency_matrix}}
}

