% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vlclust.R
\name{vlclust}
\alias{vlclust}
\title{Angle based clustering}
\usage{
vlclust(X, R = 2, seed = 1, verbose = FALSE, clusinfo = FALSE)
}
\arguments{
\item{X}{an input matrix}

\item{R}{a sample size}

\item{seed}{a random seed}

\item{verbose}{a logical flag to allow to show clustering information on progress}

\item{clusinfo}{logical}
}
\value{
a list containing of elements:
\item{memb}{a clustering membership vector.}
\item{asw}{an averaged silhouette width.}
\item{clusinfo}{various clustering statistics including size,
maximum dissimilarity, averaged dissimilarity, diameter, separation among the clusters.}
}
\description{
Angle based clustering
}
\details{
Given the adjacency spectral embeding X, perform
the angle-based clustering procedure (Algorithm 2) in Lyzinski et al.
}
\author{
Youngser Park
}
\references{
Vince Lyzinski, Minh Tang, Avanti Athreya, Youngser Park, Carey E. Priebe,
"Community detection and classification for hierarchical stochastic blockmodels,"
\emph{IEEE Transactions on Network Science and Engineering}, accepted for publication, 2016.
}

